Subject: [6pack] TR6 short snout Fidanza Flywheel available

From: "Chuck Arnold and/or Kathleen Kelley" <[email-masked]>
Date: Wed, 29 Oct 2014 16:00:16 -0700

I thought I would alert both groups before going the eBay route.  This is a
somewhat used but very usable flywheel.  It has been modified so it can
take a 7.5 inch Tilton or QuartMaster clutch.  The ring gear is in good
shape.  I had it machined so the holes for the bolts to the crankshaft
could be fitted with steel inserts thus keeping the holes from elongating.
I have included a clutch face ring machined for the 7.5 clutch as well as a
new stock ring.

Will sell fro $200 plus shipping.

Pictures are available at :

https://plus.google.com/photos/103241823961257430252/albums/6075757007748907905?authkey=COiPqJ3YmtCh0gE

Chuck Arnold
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack